<template>
  <v-page>
    <v-header :title="$t('aboutUs.a0')"></v-header>
    <main class="layout-main p-md">
      <view class="edit-content" v-html="detail.body"></view>
	  <view class="d-flex justify-center p-t-lg">
		  <v-link class="color-sell" v-if="agreement.security"
		  	:to="{path:'/pages/notice/detail',query:{id:agreement.security.id}}">
		  	《{{agreement.security.title}}》</v-link>
	  </view>
	  <view class="d-flex justify-center">
		  <v-link class="color-sell" v-if="agreement.agreement"
		  	:to="{path:'/pages/notice/detail',query:{id:agreement.agreement.id}}">
		  	《{{agreement.agreement.title}}》</v-link>
			<!-- {{$t('aboutUs.a1')}}
		  <v-link class="color-sell" v-if="agreement.clause"
		  	:to="{path:'/pages/notice/detail',query:{id:agreement.clause.id}}">
		  	《{{agreement.clause.title}}》</v-link> -->
	  </view>
	  <view class="d-flex justify-center p-t-xs">{{$t('base.g3')}}</view>
	 
    </main>
  </v-page>
</template>
<script>
	import {
		mapState,
		mapGetters
	} from "vuex";
import Member from "@/api/member";

export default {
  data() {
    return {
      detail: {},
      query: {},
	  agreement:{}
    };
  },
  computed: {
  	...mapGetters(['themeStyle'])
  },
  methods: {
    articleDetail() {
      Member.articleDetail({
        id: this.query.id,
      }).then((res) => {
        this.detail = res.data;
      });
    },
	// 获取协议
	clause() {
	  Member.clause().then((res) => {
	    this.agreement = res.data;
	  });
	},
  },
  onLoad($ev) {
    this.query = $ev;
    this.articleDetail();
  },
  created() {
  	this.clause()
  },
};
</script>
<style lang="scss">
</style>